package cn.com.ctop.common.module.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import java.math.BigDecimal;

public class BytedanceImageCostVOEntity extends BaseRowModel {
    @ExcelProperty(index = 1, value = "图片链接")
    private String imageUrl;
    @ExcelProperty(index = 2, value = "上传时间")
    private String statDate;
    @ExcelProperty(index = 3, value = "图片标识")
    private String signature;
    @ExcelProperty(index = 4, value = "项目名称")
    private String projectName;
    @ExcelProperty(index = 5, value = "消耗")
    private BigDecimal cost;
    @ExcelProperty(index = 6, value = "点击数")
    private Long click;
    @ExcelProperty(index = 7, value = "展示数")
    private Long showNum;
    @ExcelProperty(index = 8, value = "转化数")
    private Long convert;
    @ExcelProperty(index = 9, value = "点击率")
    private BigDecimal clickRate;
    @ExcelProperty(index = 10, value = "转化率")
    private BigDecimal convertRate;
    @ExcelProperty(index = 11, value = "转化成本")
    private BigDecimal convertCost;
    @ExcelProperty(index = 12, value = "平面id")
    private String userId;
    @ExcelProperty(index = 10, value = "平面名称")
    private String userName;

    public BytedanceImageCostVOEntity() {
    }

    public BytedanceImageCostVOEntity(BytedanceImageCostVO vo) {
        this.imageUrl = vo.getImageUrl();
        this.statDate = vo.getStatDate();
        this.signature = vo.getSignature();
        this.projectName = vo.getProjectName();
        this.cost = vo.getCost();
        this.click = vo.getClick();
        this.showNum = vo.getShowNum();
        this.convert = vo.getConvert();
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getStatDate() {
        return statDate;
    }

    public void setStatDate(String statDate) {
        this.statDate = statDate;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public Long getClick() {
        return click;
    }

    public void setClick(Long click) {
        this.click = click;
    }

    public Long getShowNum() {
        return showNum;
    }

    public void setShowNum(Long showNum) {
        this.showNum = showNum;
    }

    public Long getConvert() {
        return convert;
    }

    public void setConvert(Long convert) {
        this.convert = convert;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public BigDecimal getClickRate() {
        return clickRate;
    }

    public void setClickRate(BigDecimal clickRate) {
        this.clickRate = clickRate;
    }

    public BigDecimal getConvertRate() {
        return convertRate;
    }

    public void setConvertRate(BigDecimal convertRate) {
        this.convertRate = convertRate;
    }

    public BigDecimal getConvertCost() {
        return convertCost;
    }

    public void setConvertCost(BigDecimal convertCost) {
        this.convertCost = convertCost;
    }
}
